netatalk: compat.h File Reference

netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
compat.h File Reference
`#include <signal.h>`
`#include <sys/stat.h>`
`#include <sys/time.h>`
`#include <time.h>`
`#include <stdio.h>`
`#include <stdarg.h>`
`#include <stddef.h>`

Go to the source code of this file.

## Functions
int | pselect (int, fd_set *, fd_set *, fd_set *, const struct timespec *, const sigset_t *)
size_t | strnlen (const char *s, size_t n)
size_t | strlcpy (char *, const char *, size_t)
size_t | strlcat (char *, const char *, size_t)
int | vasprintf (char **ret, const char *fmt, va_list ap)
void | explicit_bzero (void *s, size_t n)
static struct timespec | atalk_stat_mtime_timespec (const struct stat *st)
static struct timespec | atalk_stat_atime_timespec (const struct stat *st)
static void | atalk_timespec_to_timeval (struct timeval *tv, const struct timespec *ts)

## Function Documentation

## ◆ atalk_stat_atime_timespec()

struct timespec atalk_stat_atime_timespec | ( | const struct stat * | st | ) |
| inlinestatic

## ◆ atalk_stat_mtime_timespec()

struct timespec atalk_stat_mtime_timespec | ( | const struct stat * | st | ) |
| inlinestatic

## ◆ atalk_timespec_to_timeval()

void atalk_timespec_to_timeval | ( | struct timeval * | tv,
|  | const struct timespec * | ts )
| inlinestatic

## ◆ explicit_bzero()

void explicit_bzero | ( | void * | s,
|  | size_t | n )
| extern

## ◆ pselect()

int pselect | ( | int | ,
|  | fd_set * | ,
|  | fd_set * | ,
|  | fd_set * | ,
|  | const struct timespec * | ,
|  | const sigset_t * | )
| extern

## ◆ strlcat()

size_t strlcat | ( | char * | d,
|  | const char * | s,
|  | size_t | bufsize )
| extern

like strncat but does not 0 fill the buffer and always null terminates. bufsize is the length of the buffer, which should be one more than the maximum resulting string length

## ◆ strlcpy()

size_t strlcpy | ( | char * | d,
|  | const char * | s,
|  | size_t | bufsize )
| extern

like strncpy but does not 0 fill the buffer and always null terminates. bufsize is the size of the destination buffer

## ◆ strnlen()

size_t strnlen | ( | const char * | s,
|  | size_t | n )
| extern

## ◆ vasprintf()

int vasprintf | ( | char ** | ret,
|  | const char * | fmt,
|  | va_list | ap )
| extern